# Class: PasswordClient

## PasswordClient

## Constructor

#### new PasswordClient(jiraClient)

Used to access Jira REST endpoints in '/rest/api/2/password'

##### Parameters:

Name | Type | Description
--- | --- | ---
`jiraClient` | JiraClient |

Source:
  - api/password.js, line 5

### Methods

#### getPasswordPolicy(opts, callback)

Returns user-friendly statements governing the system's password policy.

##### Parameters:

Name | Type | Description
--- | --- | ---

`opts`

The request options to send to the Jira API

###### Properties

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`hasOldPassword` | boolean | <optional> | false | Whether or not the user will be required to enter their current password. Use false (the default) if this is a new user or if an administrator is forcibly changing another user's password.

`callback` |  | Called when the password policy has been retrieved.

Source:
  - api/password.js, line 14